%global git_commit_0 59dc7340a3c394018f9bcc272beb5630647e23a3
%global git_user IsaacJT
%global git_snap_date 2020126

%global git_short_commit_0 %(c=%{git_commit_0}; echo ${c:0:7})

Name:           kleincom
Version:        3.3a
Release:        1%{?dist}
Summary:        Minimal serial communications program forked from kleincom

License:        GPLv2+
URL:           https://github.com/%{git_user}/%{name}/
Source0:       https://github.com/%{git_user}/%{name}/archive/%{git_commit_0}.tar.gz
BuildRequires:  gcc

# for groupadd
Requires(pre):  shadow-utils

%description
As its name suggests, [kleincom] is a minimal dumb-terminal emulation
program. It is, in principle, very much like minicom, only it's "klein"
(German for small) instead of "mini"! It was designed to serve as a simple, 
manual, modem configuration, testing, and debugging tool. It has also served 
(quite well) as a low-tech "terminal-window" to allow operator intervention
in PPP connection scripts (something like the ms-windows "open
terminal window before / after dialing" feature).  It could also prove
useful in many other similar tasks. It is ideal for embedded systems
since its memory footprint is minimal (less than 20K, when
stripped). Kleincom is a fork of picocom.

%prep
%setup -q -n %{name}-%{git_commit_0}

%build
make CC="%{__cc}" CFLAGS="$RPM_OPT_FLAGS" %{_smp_mflags} UUCP_LOCK_DIR=/run/lock/kleincom

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 kleincom $RPM_BUILD_ROOT%{_bindir}/
install -m 644 kleincom.1 $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/run/lock/kleincom

%pre
getent group dialout >/dev/null || groupadd -g 18 -r -f dialout
exit 0

%files
%doc CONTRIBUTORS LICENSE.txt README.md
%dir %attr(0775,root,dialout) /run/lock/kleincom
%{_bindir}/kleincom
%{_mandir}/man1/*

%changelog
* Mon Nov 16 2020 Isaac True <isaac@is.having.coffee> - 1.0-1
- Forked from picocom
